X509_get0_uids(3) | OpenSSL | X509_get0_uids(3)

# NAME

X509_get0_uids - get certificate unique identifiers

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/x509.h>

     void X509_get0_uids(const X509 *x, const ASN1_BIT_STRING **piuid,
                         const ASN1_BIT_STRING **psuid);

# DESCRIPTION

X509_get0_uids() sets *piuid and *psuid to the issuer and subject unique identifiers of certificate x or NULL if the fields are not present.

# NOTES

The issuer and subject unique identifier fields are very rarely encountered in practice outside test cases.

# RETURN VALUES

X509_get0_uids() does not return a value.

# SEE ALSO

d2i_X509(3), ERR_get_error(3), X509_CRL_get0_by_serial(3), X509_get0_signature(3), X509_get_ext_d2i(3), X509_get_extension_flags(3), X509_get_pubkey(3), X509_get_subject_name(3), X509_get_version(3), X509_NAME_add_entry_by_txt(3), X509_NAME_ENTRY_get_object(3), X509_NAME_get_index_by_NID(3), X509_NAME_print_ex(3), X509_new(3), X509_sign(3), X509V3_get_d2i(3), X509_verify_cert(3)

# COPYRIGHT

Copyright 2015-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.

2018-09-23 | 1.1.1i